# PNatMethod_H46024 Class Reference

`#include <h460_std23.h>`

Collaboration diagram for PNatMethod_H46024:

[legend]

## Public Member Functions

| PNatMethod_H46024 ()
| ~PNatMethod_H46024 ()
virtual PString | GetName () const
void | Start (const PString &server, H460_FeatureStd23 *_feat)
void | Main ()
virtual bool | IsAvailable (const PIPSocket::Address &binding=PIPSocket::GetDefaultIpAny())
virtual PBoolean | CreateSocketPair (PUDPSocket *&socket1, PUDPSocket *&socket2, const PIPSocket::Address &binding=PIPSocket::GetDefaultIpAny())
void | SetAvailable ()
virtual void | Activate (bool act)
PSTUNClient::NatTypes | GetNATType ()

## Static Public Member Functions

static PString | GetNatMethodName ()

## Protected Member Functions

PSTUNClient::NatTypes | NATTest ()

## Constructor & Destructor Documentation

PNatMethod_H46024::PNatMethod_H46024 | ( |  | ) |

PNatMethod_H46024::~PNatMethod_H46024 | ( |  | ) |

## Member Function Documentation

virtual void PNatMethod_H46024::Activate | ( | bool | act | ) | `[virtual]`

virtual PBoolean PNatMethod_H46024::CreateSocketPair | ( | PUDPSocket *& | socket1,
|  | PUDPSocket *& | socket2,
|  | const PIPSocket::Address & | binding = `PIPSocket::GetDefaultIpAny()` |
| ) |  |  | `[virtual]`

virtual PString PNatMethod_H46024::GetName | ( |  | ) | const`[virtual]`

static PString PNatMethod_H46024::GetNatMethodName | ( |  | ) | `[static]`

PSTUNClient::NatTypes PNatMethod_H46024::GetNATType | ( |  | ) |

virtual bool PNatMethod_H46024::IsAvailable | ( | const PIPSocket::Address & | binding = `PIPSocket::GetDefaultIpAny()` | ) | `[virtual]`

Parameters:

  binding | Interface to see if NAT is available on

void PNatMethod_H46024::Main | ( |  | ) |

PSTUNClient::NatTypes PNatMethod_H46024::NATTest | ( |  | ) | `[protected]`

void PNatMethod_H46024::SetAvailable | ( |  | ) |

void PNatMethod_H46024::Start | ( | const PString & | server,
|  | H460_FeatureStd23 * | _feat |
| ) |  |  |

The documentation for this class was generated from the following file:

- h460_std23.h